{% extends "general/base2.html"%}

{% block title%} {{titulo}} {% endblock %}

{%block content%}
{%load static%}
{% load widget_tweaks%}
{% include "accesopublico/navPrincipal.html" %}

<!--Content right-->
<div class="col-sm-9 col-xs-12 content pt-3">
    <div class="row align-items-center py-3">
        <div class="col-lg-8 col-xl-9 text-center text-lg-left">
            <h5 class="mb-3"><strong> EDITAR DE USUARIO</strong></h5>
        </div>
    </div>

    <form enctype="multipart/form-data" action='/cuentas/edicion' method="POST">{% csrf_token %}
        <div class="row mt-3">
            <div class="col-sm-12 pr-4">
                <!--Striped table-->

                <div class="row mt-0">
                    <div class="col-sm-12 pr-4">
                        <!--Striped table-->
                        <div class="mt-1 mb-3 p-3 button-container bg-white border shadow-sm pr-2 rounded-xl wizard-card shadow-s align-items-center" data-color="theme" id="wizardProfile">
                            <h5 class="font-weight-700 section-title-4 text-center pb-2 mb-4">
                                Informaci&oacute;n personal
                                <div class="title-divider-round mt-3"></div>
                            </h5>
                            <input type="hidden" value="{{persona.id}}" id="idPer" name="idPer">
                            <input type="hidden" value="{{usuario.id}}" id="idUser" name="idUser">
                            <input type="hidden" value="{{perUser.id}}" id="idUsPeer" name="idUsPeer">
                            {% if  persona.img %}<input type="hidden" value="{{persona.img.url }}" id="img2" name="img2">{% endif%}
                            {% if  persona.firma %}<input type="hidden" value="{{persona.firma.url }}" id="img3" name="img3">{% endif%}
                            <div class="row">
                                <div class="col-sm-4">
                                    <div class="picture-container">
                                        <div class="picture">
                                            {% if  persona.img %}
                                            <img src="{{ persona.img.url }}"
                                                class="picture-src" id="wizardPicturePreview" title="" />
                                                <input type="file" name="img" accept="image/*" alt="" id="wizard-picture" name="img" class="form-control" value="{{ persona.img }}">
                                            {% else  %}
                                            <img src="{% static 'Sleekadmin/assets/img/default-avatar.jpg'%}" class="picture-src" id="wizardPicturePreview" title="" />
                                                <input type="file" name="img" accept="image/*" alt="" id="wizard-picture" name="img" class="form-control">
                                            {% endif %}
                                        </div>
                                        <h6>Selecciona la imagen de perfil</h6>
                                    </div>
                                </div>
                            
                            
                                <div class="col-md-4 align-items-center align-items-center">
                                    <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                        <label class="text-uppercase">primer nombre:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i
                                                        class="fa fa-i-cursor"></i></span>
                                            </div>
                                            <input type="text" name="primer_nombre" maxlength="60" placeholder="primer nombre" name="primer_nombre" id="primer_nombre" value="{{ persona.primer_nombre }}" class="form-control form-control-lg" required>
                                            <div class="input-focus-bg"></div>

                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4 align-items-center align-items-center">
                                    <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                        <label class="text-uppercase">segundo nombre:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i
                                                        class="fa fa-i-cursor"></i></span>
                                            </div>
                                            <input type="text" name="segundo_nombre" maxlength="60" placeholder="segundo nombre" name="segundo_nombre" id="segundo_nombre" value="{{ persona.segundo_nombre }}" class="form-control form-control-lg">
                                            <div class="input-focus-bg"></div>

                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-4 align-items-center align-items-center">
                                   
                                </div>

                                <div class="col-md-4 align-items-center align-items-center">
                                    <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                        <label class="text-uppercase">primer apellido:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i
                                                        class="fa fa-i-cursor"></i></span>
                                            </div>
                                            <input type="text" name="primer_apellido" maxlength="60" placeholder="primer apellido" name="primer_apellido" id="primer_apellido" value="{{ persona.primer_apellido }}" class="form-control form-control-lg" required>
                                            <div class="input-focus-bg"></div>

                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-4 align-items-center align-items-center">
                                    <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                        <label class="text-uppercase">segundo apellidp:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i
                                                        class="fa fa-i-cursor"></i></span>
                                            </div>
                                            <input type="text" name="segundo_apellido" maxlength="60" placeholder="segundo apellido" name="segundo_apellido" id="segundo_apellido" value="{{persona.segundo_apellido}}" class="form-control form-control-lg">
                                            <div class="input-focus-bg"></div>

                                        </div>
                                    </div>
                                </div>

                                
                           
                            </div>

                            <div class="row">
                                <div class="col-md-6 align-items-center align-items-center">
                                    <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                        <label class="text-uppercase">numero de identidad:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i
                                                        class="fas fa-id-card"></i></span>
                                            </div>
                                            <input type="text" name="identidad" maxlength="20" placeholder="identidad" name="identidad" id="identidad" value="{{persona.identidad}}" class="form-control form-control-lg" required>
                                            <div class="input-focus-bg"></div>

                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-6 align-items-center align-items-center">
                                    <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                        <label class="text-uppercase">Telefono celular:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fa-solid fa-phone"></i>  </span>
                                            </div>
                                            <input type="text" name="telefono" maxlength="9" placeholder="telefono" name="telefono" id="telefono" value="{{persona.telefono}}" class="form-control form-control-lg">
                                            <div class="input-focus-bg"></div>

                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4 align-items-center align-items-center">
                                    <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                        <label class="text-uppercase">fecha nacimiento:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fa-solid fa-baby"></i></span>
                                            </div>
                                            <input type="date" name="fecha_nacimiento" name="fecha_nacimiento" id="fecha_nacimiento" value="{{anio}}" class="form-control form-control-lg" required>
                                            <div class="input-focus-bg"></div>

                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4 align-items-center align-items-center">
                                    <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                        <label class="text-uppercase">Genero:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fa-solid fa-restroom"></i></span>
                                            </div>
                                            <select name="sexo" name="sexo" id="sexo" class="form-control form-control-lg" required>
                                                <option value="{{ persona.sexo }}" selected> {{genero}} </option>
                                              
                                                <option value="F">Femenino</option>
                                              
                                                <option value="M">Masculino</option>
                                              
                                                <option value="O">Otros</option>
                                            </select>

                                            <div class="input-focus-bg"></div>

                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-4 align-items-center align-items-center">
                                    <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                        <label class="text-uppercase">Correo:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fa-solid fa-at"></i></span>
                                            </div>
                                            <input type="email" name="correo" maxlength="254" placeholder="correo" name="correo" id="correo" value="{{persona.correo}}" class="form-control form-control-lg">
                                            <div class="input-focus-bg"></div>

                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-4">
                                    <div class="input-group input-group-lg input-group-round mb-4 pl-md-2">
                                        <label class="text-uppercase">Departamento:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fas fa-map-marker-alt"></i></span>
                                            </div>
                                            <select name="departamento" name="departamento" id="departamento" class="form-control form-control-lg" required>
                                                <option value="{{d.id}}" selected> {{d.nombre}}</option>
                                                {% for de in depa %}
                                                <option value="{{ de.id }}">{{ de.nombre }} </option>
                                                {% endfor %}
                                            </select>
                                            <div class="input-focus-bg"></div>
                                            
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-4 align-items-center align-items-center">
                                    <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                        <label class="text-uppercase">Municipio de su recidencia:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fas fa-map-marker-alt"></i></span>
                                            </div>
                                            <select name="domicilio" name="domicilio" id="domicilio" class="form-control form-control-lg" required>
                                                <option value="{{m.id}}" selected> {{m.nombre}} </option>
                                                {% for mu in mun %}
                                                <option value="{{ mu.id }}" > {{ mu.nombre }} </option>
                                                {% endfor %}
                                            </select>
                                            <div class="input-focus-bg"></div>

                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-4 align-items-center align-items-center">
                                    <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                        <label class="text-uppercase">Direccion exacta:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fas fa-map-marker-alt"></i></span>
                                            </div>
                                            <input type="text" name="direccion" maxlength="200" placeholder="Direccion" name="direccion" id="direccion" value="{{persona.direccion}}" class="form-control form-control-lg">
                                            <div class="input-focus-bg"></div>

                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-2"></div>
                                    <div class="col-md-3 mb-4 pr-md-2"><h6>Selecciona la imagen de la firma</h6></div>
                                    <div class="col-md-4">
                                        <div class="picture-container  mb-4 pr-md-2 ">
                                            <div class="sign">
                                                {% if persona.firma %}
                                                <img src="{{persona.firma.url}}" class="picture-src" id="wizardSignPreview" title="" />
                                                <input type="file" name="firma" accept="image/*" alt="" id="wizard-sign" value="{{persona.firma.url}}" name="firma" class="form-control">
                                                {% else %}
                                                <img src="{% static 'Sleekadmin/assets/img/firma.png'%}" class="picture-src" id="wizardSignPreview" title="" />
                                                <input type="file" name="firma" accept="image/*" alt="" id="wizard-sign" name="firma" class="form-control">
                                                {% endif %}
                                            </div>
                                        </div>
                                    </div>


                            </div>

                        </div>
                    </div>
                    <div class="col-sm-12 pr-4">
                        <!--Striped table-->
                        <div class="mt-1 mb-3 p-3 button-container bg-white border shadow-sm pr-2 rounded-xl shadow-s align-items-center">

                            <h5 class="font-weight-700 section-title-4 text-center pb-2 mb-4">
                                Información Usuario
                                <div class="title-divider-round mt-3"></div>
                            </h5>

                            <div class="form-row ml-5 align-items-center">
                                
                                <div class="col-md-5 align-items-center">
                                    <div
                                        class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                        <label class="text-uppercase">Nombre de usuario:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fa fa-i-cursor"></i></span>
                                            </div>
                                            <input type="text" name="username" maxlength="150" autofocus placeholder="usuario" name="username" id="username" value="{{usuario.username}}" class="form-control form-control-lg" required>
                                            <div class="input-focus-bg"></div>

                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-5 align-items-center align-items-center">
                                    <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                        <label class="text-uppercase">Correo Institucional:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fa-solid fa-at"></i></span>
                                            </div>
                                            <input type="email" name="email" maxlength="254"  name="email" id="email" value="{{usuario.email}}" class="form-control form-control-lg">
                                            <div class="input-focus-bg"></div>

                                        </div>
                                    </div>
                                </div>

                               

                            </div>

                        </div>
                    </div>


                    <div class="col-sm-12 pr-4">
                        <!--Striped table-->
                        <div class="mt-1 mb-3 p-3 button-container bg-white border shadow-sm pr-2 rounded-xl shadow-s align-items-center">

                            <h5 class="font-weight-700 section-title-4 text-center pb-2 mb-4">
                                Permisos de usuario
                                <div class="title-divider-round mt-3"></div>
                            </h5>

                            <div class="d-flex w-100 align-items-center justify-content-between pt-1 pb-3 mb-4 ml-3">

                                <div class="pr-4">
                                    <h6 class="font-weight-700">Administrador</h6>
                                    </h6>
                                    <p class="mb-0">Podra acceder al panel de administrador.</p>
                                </div>

                                <div class="custom-control custom-switch mr-5">
                                    <input type="checkbox" name="is_superuser" id="customSwitch1"  class="custom-control-input" {{est1}}>
                                    <label class="custom-control-label" for="customSwitch1"></label>
                                </div>

                            </div>

                            <div class="d-flex w-100 align-items-center justify-content-between  pt-1 pb-3 mb-4 ml-3">

                                <div class="pr-4">
                                    <h6 class="font-weight-700">Usuario con todos los permisos</h6>
                                    <p class="mb-0">Podra acceder al panel de administrador.</p>
                                </div>

                                <div class="custom-control custom-switch mr-5">
                                    <input type="checkbox" name="is_staff" id="customSwitch2"  class="custom-control-input" {{est1}} >
                                    <label class="custom-control-label" for="customSwitch2"></label>
                                </div>

                            </div>


                            <div class="d-flex w-100 align-items-center justify-content-between mb-4 ml-3">

                                <div class="pr-4">
                                    <h6 class="font-weight-700">Usuario Activo</h6>
                                    <p class="mb-0">Es un usuario activo.</p>
                                </div>

                                <div class="custom-control custom-switch mr-5">
                                    <input type="checkbox" name="is_active" id="customSwitch3" class="custom-control-input" {{ est3 }}>
                                    <label class="custom-control-label" for="customSwitch3"></label>
                                </div>

                            </div>



                        </div>
                    </div>

                    


                    <div class="col-12">
                        <div class="text-md-right">
                            <a href="/cuentas/cuenta" class="btn btn-lg btn-round btn-outline-primary">Cancelar</a>
                            <button type="submit" class="btn btn-lg btn-round btn-primary ml-2"> Guardar
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>
<!--/Striped table-->
</div>
</div>
<!--GO TO THE TOP-->
<div class="go-to-top go-top-fadeInRight">
    <a href="#" class="rounded-circle"><i class="fas fa-chevron-up"></i></a>
</div>
</div>


{% include "general/footer.html" %}
{%endblock%}
{% block js%}
<script>
     

    $("#departamento").change(function(){
        $("#domicilio").html('<option value="0" selected disabled>--------</option>');
        dep = $(this).val();
        $.ajax({
            url: "{% url 'general:ajaxmun' %}",
            type: 'GET',
            data:{
                data: 'municipios',
                dep: dep
            }
        }).done(function(data){
            $.each(data, function(key, val){
                $("#domicilio").append('<option value='+key+'>'+val.nombre+'</option');
            });
        });
    });
</script>

<script>
    $('img').change(function(){
        $("img2").val=" ";
    });
</script>
{% endblock %}